Subject: [Lsr] WG Last Call draft-ietf-lsr-isis-invalid-tlv

From: Christian Hopps <[email-masked]>
Date: Thu, 2 Jan 2020 14:06:55 -0500

This begins a 2 week WG Last Call, ending after Jan 16th, 2020, for draft-ietf-lsr-isis-invalid-tlv.

  https://datatracker.ietf.org/doc/draft-ietf-lsr-isis-invalid-tlv/

Tony P (other authors already responded during the adoption poll), please indicate your knowledge of any IPR related to this work to the list as well.

Thanks,
Chris & Acee.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 2 Jan 2020 19:10:59 +0000

Speaking as WG Member:

I support publication. This is document fills a long-standing gap in the IS-IS specification. 

Thanks,
Acee

On 1/2/20, 2:09 PM, "Lsr on behalf of Christian Hopps" <[email-masked] on behalf of [email-masked]> wrote:

    
    
    Thanks,
    Chris & Acee.
    
    _______________________________________________
    Lsr mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lsr

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 2 Jan 2020 19:34:52 +0000

As co-author, I obviously support moving the draft forward.

The impetus for writing the draft was a real world interoperability problem - so there should be no debate about whether the draft is needed.
All parties involved in the problem have actively participated in writing the draft - so I think we can be confident that we have appropriately addressed the related issues.

   Les

> -----Original Message-----
> From: Lsr <[email-masked]> On Behalf Of Christian Hopps
> Sent: Thursday, January 02, 2020 11:07 AM
> To: [email-masked]
> Cc: [email-masked]; Christian Hopps <[email-masked]>; Antoni
> Przygienda <[email-masked]>
> Subject: [Lsr] WG Last Call draft-ietf-lsr-isis-invalid-tlv
> 
> Tony P (other authors already responded during the adoption poll), please
> indicate your knowledge of any IPR related to this work to the list as well.
> 
> Thanks,
> Chris & Acee.
>

---

From: Antoni Przygienda <[email-masked]>
Date: Thu, 2 Jan 2020 19:39:28 +0000

Support +1 obviously 

--- tony 

On 1/2/20, 11:35 AM, "Les Ginsberg (ginsberg)" <[email-masked]> wrote:

    
       Les

    >   https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-ietf-lsr-isis-invalid-tlv/__;!!NEt6yMaO-gk!Xqr-8QUzi2w5xHSiBoC1-Cb1CiQk8b_C9wiUKST8PRGbEfHsUpZJh2XnuuxB2Q$ 
    > 
    > https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/lsr__;!!NEt6yMaO-gk!Xqr-8QUzi2w5xHSiBoC1-Cb1CiQk8b_C9wiUKST8PRGbEfHsUpZJh2XJ7B9p_w$

---

From: Paul Wells <[email-masked]>
Date: Thu, 2 Jan 2020 14:40:26 -0500

Support (as co-author).

Thanks,
Paul

---

From: Antoni Przygienda <[email-masked]>
Date: Thu, 2 Jan 2020 19:41:27 +0000

No knowledge of any undisclosed IPR

On 1/2/20, 11:40 AM, "Paul Wells" <[email-masked]> wrote:

    Support (as co-author).
    
    Thanks,
    Paul
    
    On 1/2/20 2:06 PM, Christian Hopps wrote:
    >    https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-ietf-lsr-isis-invalid-tlv/__;!!NEt6yMaO-gk!SOzqP-LOJ5vQHvJt7ptRik0WDQIHhKFBgZzxo6c1fwUo7MHPgmejedaGbuCdHg$ 
    >
    > https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/lsr__;!!NEt6yMaO-gk!SOzqP-LOJ5vQHvJt7ptRik0WDQIHhKFBgZzxo6c1fwUo7MHPgmejeda1gk9Taw$

---

From: Tony Li <[email-masked]>
Date: Thu, 2 Jan 2020 12:08:03 -0800

As co-author:

This is only 20 years overdue.  Ship it already.  :-)

T

> On Jan 2, 2020, at 11:06 AM, Christian Hopps <[email-masked]> wrote:
>

---

From: Jeff Tantsura <[email-masked]>
Date: Thu, 2 Jan 2020 12:12:00 -0800

yes/support

Happy New Year all!

Cheers,
Jeff

---

From: "Aijun Wang" <[email-masked]>
Date: Fri, 3 Jan 2020 10:30:51 +0800

Is there any method to indicate or negotiate the support of
ISO10589/RFC5304/RFC6233 because they are not back compatible?
What will be the consequence when not all of the routers within the IGP
domain support the same RFC?
Will it valuable to add more clarification for the above incompatible
scenario, instead of saying "... ... therefore can only be safely enabled
when all nodes support the extensions"?

Best Regards.

Aijun Wang
China Telecom

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Christian
Hopps
发送时间: 2020年1月3日 3:07
收件人: [email-masked]
抄送: [email-masked]; Christian Hopps; Antoni Przygienda
主题: [Lsr] WG Last Call draft-ietf-lsr-isis-invalid-tlv

This begins a 2 week WG Last Call, ending after Jan 16th, 2020, for
draft-ietf-lsr-isis-invalid-tlv.

Thanks,
Chris & Acee.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 3 Jan 2020 05:28:50 +0000

Aijun -

Since advertising some sort of capability would also be unusable until all routers were upgraded to understand the new capability advertisement this does not help. 😊

The consequences of enabling a form of authentication which is not supported by all nodes is an inconsistent LSPDB - which means protocol function is broken.

I would also point out that the incompatibilities are discussed in the original specifications (RFC 5304 and RFC 6232) - both of which have been published for a number of years. The points being made in this regard in this draft aren't new.

   Les

> From: Lsr <[email-masked]> On Behalf Of Aijun Wang

> Sent: Thursday, January 02, 2020 6:31 PM

> To: 'Christian Hopps' <[email-masked]>; [email-masked]

> Cc: [email-masked]; 'Antoni Przygienda' <[email-masked]>

> Subject: [Lsr] 答复: WG Last Call draft-ietf-lsr-isis-invalid-tlv

> 发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] 代表 Christian

> 收件人: [email-masked]<mailto:[email-masked]>

> 抄送: [email-masked]<mailto:[email-masked]>; Christian Hopps; Antoni Przygienda

> [email-masked]<mailto:[email-masked]>

> [email-masked]<mailto:[email-masked]>

---

From: Yingzhen Qu <[email-masked]>
Date: Fri, 3 Jan 2020 19:18:32 +0000

I support the publication of this draft.

Thanks,
Yingzhen

From: Lsr <[email-masked]> on behalf of Jeff Tantsura <[email-masked]>
Date: Thursday, January 2, 2020 at 12:12 PM
To: "[email-masked]" <[email-masked]>, Christian Hopps <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [Lsr] WG Last Call draft-ietf-lsr-isis-invalid-tlv
Resent-From: <[email-masked]>

yes/support

Happy New Year all!

Cheers,
Jeff

Thanks,
Chris & Acee.

---

From: "Aijun Wang" <[email-masked]>
Date: Mon, 6 Jan 2020 10:04:18 +0800

Hi, Les:

Since this draft is the main entry for the management of invalid tlv in isis, will it be more useful to include the description that you provide for its completeness?  Knowing the possible consequences may drive the operators to consider more carefully for their updating deployment.

Anyway, I support this draft.

Best Regards.

Aijun Wang

China Telecom

发件人: Les Ginsberg (ginsberg) [mailto:[email-masked]] 
发送时间: 2020年1月3日 13:29
收件人: Aijun Wang; 'Christian Hopps'; [email-masked]
抄送: [email-masked]; 'Antoni Przygienda'
主题: RE: [Lsr] 答复: WG Last Call draft-ietf-lsr-isis-invalid-tlv

Aijun -

   Les

> 发件人:  <mailto:[email-masked]> [email-masked] [ <mailto:[email-masked]> mailto:[email-masked]] 代表 Christian

> 收件人:  <mailto:[email-masked]> [email-masked]

> 抄送:  <mailto:[email-masked]> [email-masked]; Christian Hopps; Antoni Przygienda

>    <https://datatracker.ietf.org/doc/draft-ietf-lsr-isis-invalid-tlv/> https://datatracker.ietf.org/doc/draft-ietf-lsr-isis-invalid-tlv/

>  <mailto:[email-masked]> [email-masked]

>  <https://www.ietf.org/mailman/listinfo/lsr> https://www.ietf.org/mailman/listinfo/lsr

>  <mailto:[email-masked]> [email-masked]

>  <https://www.ietf.org/mailman/listinfo/lsr> https://www.ietf.org/mailman/listinfo/lsr

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 6 Jan 2020 02:42:23 +0000

Aijun –

Please read Section 3.2 of the draft which discusses these issues.
Thanx.

   Les

From: Aijun Wang <[email-masked]>
Sent: Sunday, January 05, 2020 6:04 PM
To: Les Ginsberg (ginsberg) <[email-masked]>; 'Christian Hopps' <[email-masked]>; [email-masked]
Cc: [email-masked]; 'Antoni Przygienda' <[email-masked]>
Subject: 答复: [Lsr] 答复: WG Last Call draft-ietf-lsr-isis-invalid-tlv

Hi, Les:

Best Regards.

Aijun Wang
China Telecom

发件人: Les Ginsberg (ginsberg) [mailto:[email-masked]]
发送时间: 2020年1月3日 13:29
收件人: Aijun Wang; 'Christian Hopps'; [email-masked]<mailto:[email-masked]>
抄送: [email-masked]<mailto:[email-masked]>; 'Antoni Przygienda'
主题: RE: [Lsr] 答复: WG Last Call draft-ietf-lsr-isis-invalid-tlv

Aijun -

   Les

> From: Lsr <[email-masked]<mailto:[email-masked]>> On Behalf Of Aijun Wang

> To: 'Christian Hopps' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>

> Cc: [email-masked]<mailto:[email-masked]>; 'Antoni Przygienda' <[email-masked]<mailto:[email-masked]>>

---

From: "Aijun Wang" <[email-masked]>
Date: Mon, 6 Jan 2020 11:20:11 +0800

Hi, Les:

The questions is raised actually by the current description in section 3.2.  

It describes the incompatible issues among different RFCs, but no promising solution (maybe there is none), also not emphasizing the consequence for the incompatible deployments (may exist in other document).

Anyway, I knew the answers. Put it into the document may be more helpful for others.

Best Regards.

Aijun Wang

China Telecom 

发送时间: 2020年1月6日 10:42

Aijun –

Thanx.

   Les

Hi, Les:

Best Regards.

Aijun Wang

China Telecom

Aijun -

   Les

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 6 Jan 2020 04:59:40 +0000

Aijun –

When an authentication variant is not supported by all nodes in the area/domain it can’t be used safely. This isn’t a problem we are trying to solve and it was never the reason for writing  the invalid TLV draft.
Please reread the Abstract and Introduction in order to understand the intent of this draft.

Thanx.

   Les

Sent: Sunday, January 05, 2020 7:20 PM

Hi, Les:

Best Regards.

Aijun Wang
China Telecom

Aijun –

   Les

From: Aijun Wang <[email-masked]<mailto:[email-masked]>>
Sent: Sunday, January 05, 2020 6:04 PM
To: Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; 'Christian Hopps' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; 'Antoni Przygienda' <[email-masked]<mailto:[email-masked]>>
Subject: 答复: [Lsr] 答复: WG Last Call draft-ietf-lsr-isis-invalid-tlv

Hi, Les:

Best Regards.

Aijun Wang
China Telecom

Aijun -

   Les

---

From: <[email-masked]>
Date: Mon, 6 Jan 2020 13:51:35 +0000

I support publication of the draft.

Improving interoperability is definitely something that I support (1), in particular for mission critical protocols.

Thank you to authors & Alvaro for the work and the initiative.

Bruno

(1) Including during error conditions ;-)
 
-----Original Message-----
From: Lsr [mailto:[email-masked]] On Behalf Of Christian Hopps
Sent: Thursday, January 2, 2020 8:07 PM
To: [email-masked]
Cc: [email-masked]; Christian Hopps; Antoni Przygienda
Subject: [Lsr] WG Last Call draft-ietf-lsr-isis-invalid-tlv

Thanks,
Chris & Acee.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 6 Jan 2020 14:01:54 +0000

Support the publication

-----Original Message-----
From: Lsr <[email-masked]> On Behalf Of Christian Hopps
Sent: 03 January 2020 00:37
To: [email-masked]
Cc: [email-masked]; Christian Hopps <[email-masked]>; Antoni Przygienda <[email-masked]>
Subject: [Lsr] WG Last Call draft-ietf-lsr-isis-invalid-tlv

Thanks,
Chris & Acee.

---

From: Christian Hopps <[email-masked]>
Date: Tue, 21 Jan 2020 19:23:33 -0500

The WG Last Call has completed successfully, and the document will be submitted to IESG after the shepherd finishes the write-up.

Thanks,
Chris.

> On Jan 2, 2020, at 2:06 PM, Christian Hopps <[email-masked]> wrote:
>